Bug 1024970 - cinnamon screensaver is not working in Fedora19
cinnamon screensaver is not working in Fedora19
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: cinnamon-screensaver (Show other bugs)
19
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: leigh scott
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-30 12:54 EDT by nuno ferreira
Modified: 2015-02-17 13:57 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 13:57:50 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
.xsession-errors (15.19 KB, text/plain)
2013-10-30 12:54 EDT, nuno ferreira
no flags Details
/var/log/messages (1.64 MB, text/plain)
2013-10-30 12:56 EDT, nuno ferreira
no flags Details

  None (edit)
Description nuno ferreira 2013-10-30 12:54:49 EDT
Created attachment 817518 [details]
.xsession-errors

Description of problem:

Using cinnamon 2.0 as desktop environment. Screensaver doesn't work.

Version-Release number of selected component (if applicable):

$ rpm -qa cinnamon\* nemo\* cjs muffin |sort
cinnamon-2.0.3-1.fc19.x86_64
cinnamon-control-center-2.0.3-1.fc19.x86_64
cinnamon-control-center-filesystem-2.0.3-1.fc19.x86_64
cinnamon-desktop-2.0.1-1.fc19.x86_64
cinnamon-screensaver-2.0.1-1.fc19.x86_64
cinnamon-session-2.0.1-1.fc19.x86_64
cinnamon-settings-daemon-2.0.5-1.fc19.x86_64
cinnamon-translations-2.0.1-2.fc19.noarch
cjs-2.0.0-1.fc19.x86_64
muffin-2.0.2-1.fc19.x86_64
nemo-2.0.1-1.fc19.x86_64
nemo-extensions-2.0.1-1.fc19.x86_64
nemo-open-terminal-1.0.0-4.fc19.x86_64

How reproducible: always

Steps to Reproduce:
1. check that cinnamon-screensaver is running
2. send the activate command (cinnamon-screensaver-command -a)

Actual results: nothing happens

Expected results: screensaver should be activated and screen locked

Additional info:

No errors in dmesg. 

If I run "cinnamon-screensaver --debug" and then run "cinnamon-screensaver-command -a" I can verify that nothing seems to reach the daemon.
Comment 1 nuno ferreira 2013-10-30 12:56:06 EDT
Created attachment 817519 [details]
/var/log/messages

/var/log/messages
Comment 2 leigh scott 2013-10-30 13:11:19 EDT
From /var/log/messages

Oct 30 10:36:27 lucien /etc/gdm/Xsession[5511]: cinnamon-session[5511]: WARNING: Detected that screensaver has left the bus
Oct 30 10:36:27 lucien cinnamon-session[5511]: WARNING: Detected that screensaver has left the bus
Oct 30 10:36:52 lucien /etc/gdm/Xsession[5511]: cinnamon-session[5511]: WARNING: Detected that screensaver has left the bus
Oct 30 10:36:52 lucien cinnamon-session[5511]: WARNING: Detected that screensaver has left the bus

I wonder is gnome-screensaver is blocking it somehow, can you remove gnome-screensaver and try again.
Comment 3 nuno ferreira 2013-10-30 13:34:35 EDT
I don't have gnome-screensaver (or xscreensaver, ...) running so I don't think that's it.

I do see the gnome-screensaver errors in .xession-errors but there's no gnome-screensaver running when I'm at the shell and the problem exists even if I start cinnamon-screensaver only then...
Comment 4 nuno ferreira 2013-11-02 12:52:34 EDT
I have the following processes that seem bound to gnome. Should I replace them somehow? Can you give hints?

/usr/bin/gnome-keyring-daemon --daemonize --login
/usr/libexec/at-spi2-registryd --use-gnome-session
/usr/libexec/gnome-terminal-server
gnome-pty-helper
Comment 5 nuno ferreira 2013-11-02 19:51:22 EDT
Don't quite understand it because of what I've written before but I've removed gnome-shell (and deps) and gnome-screensaver and the problem disappeared.

Considering this I have no reason to keep this bug opened...
Comment 6 Fedora End Of Life 2015-01-09 15:24:36 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 7 Fedora End Of Life 2015-02-17 13:57:50 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.